BlazeDVD Introduction

BlazeDVD is a full featured and easy to use DVD player integrating all functions of a standard DVD player. It is stable, simple and superior in quality and can meet all demand on DVD playing. In addition to the common features of a home DVD player, BlazeDVD also provide you with enhanced functions. It can provide S/PDIF output of DTS signals, bookmark, image capture, play file and region code setting that a common DVD player cannot fulfill. You can enjoy watching DVD in your notebook PC during travel, or use DVD as a tool to assist your child with study on a computer, or watch DVD movies in a desktop computer. Now, let’s experience the surprises a BlazeDVD will bring you.

  • Major Features
  • Using BlazeDVD
  • Configuration
  • Purchase & Register
  • Technology Supports


System Requirements
 | Basic | Recommended
CPU | Intel Celeron 400MHz | Intel Pentium III 700MHz
System memory | 64MB RAM | 128MB RAM
Operating system | Windows 98, Windows 98SE, Windows Me, Windows 2000, Windows XP
Display card | Have 24 Bits resolution and support DirectX, 8MB Video-ROM or more
Sound card | PCI sound cards, Integration chipset on mainboard, USB audio devices etc. compatible with Windows and stereo speakers
Device | All DVD drives
Hard-disk available capacity | At least 10 MB
DirectX | DirectX 8.0 or later


Major Features

Except normal DVD Player’s functions, BlazeDVD offers some enhancing effect functions, such as capturing screen, bookmarks, auto- resume play, and time-control, etc.

Refer to the following specifications for more information:

  • Video Features
  • Audio Features
  • Playback Control
  • Support Media Types
  • Other Features


Video Features

BLAZEDVD is optimized for most updated CPUs and fully support MMX command sets for INTEL MMX, SSE, SSE2, AMD 3DNOW, 3DNOW PRO and has incorporated many up-to-date technologies like video hardware decode acceleration to endure high resolution picture playback.

Displays a vast array of viewing screens

  • Normal display
  • letterboxed (Letterbox: Compute the largest 4x3 area of the output window. )
  • pan&scan ( From the 16x9 video, use the horizontal offset provided in the MPEG2 stream to extract a 4x3 subwindow. )
  • widescreen (The source video stretched into the largest 16x9 area of the output window. )

Hardware decode acceleration

  • Hardware decode acceleration enabling use of hardware moving compensation provided with VGA card.
  • Hardware decode acceleration enabling use of color compensation offered with VGA card by BlazeDVD.
  • Microsoft DirectX® Video Acceleration (DXVA) support

Optimize functions

  • Offer high strength smooth playback by removing screen burrs and dithering.
  • Field filter function: Comparing to simple field display, the function can enhance the scenes quality after removing burrs, and retain completely the advantage of DVD’s high definition. Some display cards provided with field filter function for removal of burr.
  • Advance core decoding algorithms: Utilize the new high performance CPU’s capacity to reduce the blocky effect for obtaining the better video quality.


Audio Features
  • Hi-Fi audio processing effect will give you a sense of be personally on the scene.
  • Dolby Pro Logic II can decode dual channels audio source like MP3, VDC or SVCD into multi channel surround sound effect.
  • Support S/PDIF of DTS or Dolby digital AC-3 from Toslink interface or Digital Theater System (DTS) for most fidelity audio quality.
  • Support MPEG-2 audio and LPCM (Linear Phase Code Modulation) decoding.
  • Support virtual dual channels surround sound effects like TruSurroundXT, Dolby earphone, Dolby surround sound effects and
  • DirectSound3D/A3D.
  • Support DVD imaging or game playing of Microsoft DirectSound standard interface.
  • Audio decoding support multi channels decoding, including output modes of stereo, 4.1, 5.1 channels and support up to 7.1 channels.


Support Media Types
  • Supports all of the following disc formats:
    • DVD-Video, DVD-ROM, DVD-RAM, DVD-RW, DVD+RW,
    • VCD1.1, VCD2.0, SVCD
  • Video file formats
    • Audio-Video Interleaved (AVI)
    • Motion Picture Experts Group (MPEG, MPG, M1V, DAT)
    • Windows Media Video (WMV)
    • Advanced Streaming Format (ASF, ASX)
    • Digital Video (DV, DV1)
    • video Object File (VOB)
    • MPEG 2 VIDEO (M2V)
  • Audio file formats:
    • Microsoft Waveform audio files (.WAV)
    • AIFF (.AIF)
    • AU (.AU)
    • SND (.SND)
    • MIDI (.MID)
    • Windows Media Audio (.WMA)
    • MPEG Audio Layer-3 (.MP3, .MP2, .MP1, .MPA, .M2P, .M2A)


Playback Control
Basic Playback Control: | Play, Pause, Stop, Step, Previous Chapter, Next Chapter, Fast forward/ backward Fast forward/ backward speeds of 1x,2x,3x,4x,8x,16x,32x
Choose Source to Play: | Playback of DVD/VCD disc Playback of DVD files on Hard disk drives Open media files
DVD menu navigation: | Titles, Root, Chapter, Subtitle, Audio and Angle menu navigation; Resume, Menu button selection, active menu button
Bookmarks: | Save bookmark, Delete bookmark, restore bookmark
Time Control: | Drag slider to accurate time, Play at time,
Volume Control: | Mute On/Off, Increase Volume, Decrease Volume
Color Control: | Brightness, Contrast, Hue, Saturation


Other Features
  • Number of subtitles: 32
  • Close captioning
  • Multiple angles: 9
  • Menus: Title, Root, Chapter, Subtitles, Language, camera Angles
  • Automatically resuming from the last scene
  • Parental control level
  • Configurable user Interface
  • Capture your favorite DVD Movies scenes


Using BlazeDVD

After the previous journey, you have learned the features of the BlazeDVD. Do you want to try it, feel it? OK, let's go.

Express portal
  • Main control buttons
  • Playing DVD
  • Playing VCD and SVCD
  • Playing Other Media Files
Advanced Experience
  • Appearance
  • Right-Click menu
  • Hot Keys
  • Sub-panel


Appearance Introduciton

Appearance Introduction

Startup BlazeDVD and keep the active state. Move the cursor over the buttons of the control panel for display the DVD's titles. The design for control buttons resembles a DVD Player's; you are familiar with the BlazeDVD's control buttons.

Note: Not each section is fit to all DVD's titles. Only manufacturers can confirm the specific functions burned on discs. The functions which are unavailable to special titles will be displayed gray and not able to be accessed. The following descriptions are about the sections on control panel:

# | Button/Icon | Description
1 | Play | Plays Media
2 | Stop | Stop the current playback. Click play to restart playback.
3 | Previous Chapter | Returns to previous chapter
4 | Next Chapter | Jumps to next chapter
5 | Pause | Pause during the playback. Click Play, the movie will begin from the same position.
6 | Minimize | It is a standard windows icon. Click it, the control panel and the view window will be minimized and displayed as icons on system toolbar.
7 | Full Screen | Switch to full screen mode if the current video is under the window mode, vice versa.
8 | Open SubPanel | Open SubPanel
9 | Repeat | Repeat playing the current title or chapter
10 | Options | Open a configuration window
11 | Fast Forward | Scan forward
12 | Fast Backward | Scan backward
13 | Volume Control | Drag slider up/down to increase/decrease volume. The BlazeDVD can remember the volumes which have been played discs.
14 | Mute | Click it, the audio is muted, click once again, get back the previous conditions.
15 | Navigational Menu | Open navigational menu
16 | Sources | Selects media source for playback
17 | Capture Frame | Click it to capture the static images of the current playing movie.
18 | Step Forward | Goes to next frame
19 | Bookmarks | Open the bookmark browser, you may create and delete the bookmarks. You may make the bookmarks for your favorite scenes, so that you jump directly to the bookmark position by clicking the button. You also access bookmarks from Right-click menu.
20 | Playback State | Show playing state
21 | Speed Adjustment | Adjusts speed during playback. Move the indicator by red point to increase/decrease playing speed.
22 | Position Slider | Drag the slider to new position for playback.
23 | Media Types | Show playing media types
24 | Chapters | Display the current chapter. It's the current chapter during DVD playback.
25 | Hours | Display the hours of the current title/chapter
26 | Minutes | Display the minutes of the current chapter
27 | Seconds | Display the seconds of the current chapter
28 | Volume + | Increase volume
29 | Volume - | Decrease volume
30 | BlazeDVD's icon | About information
31 | Eject/Close disc | Eject/Close disc. During playback, please stop playback before closing the disc.
32 | Help | Access the online help.
33 | Exit | Exit player.


Main Control
Startup BlazeDVD and keep the active state. Move the cursor over the buttons of the control panel for display the DVD's titles. The design for control buttons resembles a DVD Player; you are familiar with the BlazeDVD's control buttons.

Only manufacturers can decide the specific functions burned on discs. The functions which are unavailable to special titles will be displayed gray and not able to be accessed. The following descriptions are about the sections on control panel:
Select source for playback, you cannot choose the files during playback
Open BlazeDVD's Options... window
Minimize video window/Full Screen video window/ Close BlazeDVD
Play
Pause/Resume playback
Stop
Step forward I-frame under the pause mode
Repeat the current title/chapter
Jump to previous chapter
Jump to next chapter
playback in the fast backward mode
playback in the fast forward mode
Open the Sub-panel
Resume from the menu screen
access the online help
Move to the position that view DVD movies
Number pad display the current chapter and the time that the title playback have spent
Mute on/off

Use the directional buttons in the way you use mouse or Tab key, the center button means enter.
Choose the accessible menu titles (root, language, subtitles etc.)
To choose DVD titles
To select DVD chapters
To select DVD Audios
To select DVD captions
To select angles
Capturing images
adjustment volume
Bookmarks allow users saving the positions of DVD playback


Right-Click Menu

During playback, position the cursor above the video window to right click for the menu, the menu's commands is same of general menu. The menu is followed:

Play--start playback

Pause--pause/continue playback

Stop--stop playback

Forward--playback under the fast forward mode

Backward--playback under the fast backward mode

Go to--jump to certain title/chapter/time

Repeat--repeat the current chapter/title

Resume--replay from the menu screen

Menu--select available options from the current DVD disc (root, language, captions etc.)

Titles--display the current movie title

Chapters--display the current movie chapter

Subtitles--select caption language

Audio--select audio options

Angles--display camera angle

Play from--choose the source for playback

Bookmark--mark your favorite movies

Capture--capture your favorite scenes

Full Screen--zoom in the video window to your monitor's available area

Always on top

Options--open the Options...¡± window to change settings

Purchase & Register--link to BlazeDVD's website for online purchase or register our products

Help--access online help

Exit--exit BlazeDVD


Hot Keys

For user’s operating convenience, BlazeDVD provides a lot of keyboard express keys, the express keys is active when the cursor is over the video window.

Two keys indicate holding the first key and pressing the second key or pressing the two keys at the same time. Non-letter key is put in bracket. The Express keys include:

Functions | hot-keys | Functions | hot-keys
Angle | G | Stop | End
Audio | A | Pause | Space
Chapter | C | Fast forward | F
Reduce brightness | - | Fast backward | B
Increase brightness | - | Bookmark | K
Reduce volume | alphanumeric keyboard "-" | Capture | [Ctrl] + C
Increase volume | alphanumeric keyboard "+" | Title menu | T
Ejecting disc | - | Subtitle menu | S
Exit BlazeDVD | - | Main menu | R
Next chapter | PgDown | Mute on/off | M
Previous chapter | PgUp | Step forward | N
Adjustment | - | Switch between the full screen mode and the window mode | Z
Attribute page | - | Resume | U


Sub-Panel
Click the farthest right button, the sub-panel will appear. As follows:

1. Display the current chapter
2. Display the current Title
3. Display angles menu for the movies have many angle of view.
4. Resume: Playback video from the menu (when users return to the title menu during playback, and then they want to play from the former scene, click the button). .
5. Select Audios: Click the button to select audio section if there are various audio options
6. Select subtitles. Select language caption when there are multiple language captions.

Directional arrows. Navigate for video menu; please refer to the figure:Clockwise: up, left, down, right, the center button is after you selected.


Playing DVD

It is quite simple to watch DVD film. In most cases, you just need to insert a disc. BlazeDVD will automatically start and determine disc type. But sometimes you may need to watch only some DVD subtitle and not want to watch from beginning. BlazeDVD will help you to watch DVD in a controlled way. After you are familiar with the control panel of BlazeDVD, you will find that the control panel contains all basic operation buttons (play, pause and stop, etc.), options for volume and mute, play speed, chapter and menu navigation, and repeat.Now let’s watch a film by follow the following steps:

Get Start to Play DVD

1. If you want to watch a DVD movie, please insert a DVD disc into a default DVD drive. (You can see the default DVD drive in the Standard Setup of Attribute Setup dialog box). Click on the most right Play [image] Button icon, or press Enter shortcut key of Play. If auto play is set, BlazeDVD will automatically start to play. IF you want to play the movie manually, ensure that the right DVD drive has been selected on the OPTIONS. You may also click on the bottom Select source [image] Button to select the DVD drive for playing.

Note: Some DVD disc may supplement with other DVD play software and may prompt you if you want to install the software. It is recommended not to install such software as the attached software may be simple in function and may lead to conflict with BlazeDVD.

2. Depend on the type of the DVD disc, there will be alarm message or copyright information on the screen. This cannot be skipped.

3. Normally DVD main menu will be on the screen after the preview advertising. You can use mouse or arrow key or direction / arrow on the Sub Panel Sub-Panel [image] to navigate thought playing. Then you can select using Intermediate Button or shortcut key CTRL+Enter to select.

4. DVD movie will now begin to play.

Control play

Clicking on Pause [image] on the main control panel or pressing Space Bar on the keyboard may pause video window image. If you want to resume play, click on Play [image] or press Space Bar again or Pause Key.

6.If you want to watch movie with full screen, click Full Screen [image] icon or double click on the video window or use shortcut key Z. If the current play is in windows mode, it will switch to full screen mode. If it is in full screen mode, it will switch to windows mode.

7.Increase / decrease volume or turn on / off sound·

If you want to increase volume, you can move the volume slider upward to the required level or press alphanumeric keyboard [+] keys on the keyboard.· If you want to decrease volume, you can move the volume slider downward to the required level or press alphanumeric keyboard [-] keys on the keyboard.· If you want to turn on / off the sound, you can click on the Mute button or press M key on the keyboard.

8.For color adjustment, click on the color adjusting control of Video Setup on Options... Attribute Setup.Use slider to set Brightness, Contrast, Color Saturation and Hue.

GOTO

9. Change chapter. If you want to change to other chapter, click on Next Chapter [image] button or Previous Chapter [image] button or select from the pulldown menu of Chapter [image] selection on the Sub-Panel. Or, press C on the keyboard to open chapter menu directly.

10. During playback or under pause mode, click on the Next Chapter button or Previous Chapter will move to next chapter or return to previous chapter.

11.F. Forward [image] and F. Backward

You don’t need to search for a movie or a chapter one by one. You can use F. Forward or F. Backward on the bottom of the control panel.

12.Step forward

During the playing, click on the Advancing a Frame on the bottom of the control panel will move to next frame. Click on random stepping button will stop playing. The button will enable you to capture image with more accuracy.

13.To eject the disc from the player, click on the Stop [image] button and then Quit button or press [End] key on the keyboard.

14.To close BlazeDVD, click Close [image] button .


Playing VCD and SVCD

1. To play VCD, insert the disc into the drive.

2. If you have Auto-Play enabled, the disc will start playing immediately.

3. To move to a specific channel, select from the left-right-up-down-enter section on Navigation Sub-Panel .

4. Insert a VCD / SVCD into the drive and start BlazeDVD. Click Play [image] . Ensure that it is set to correct source drive. If not, click on source [image] button and select the right DVD ROM drive.

5. After the VCD / SVCD movie start to play, a movie menu will be shown on the screen depend on the content of the disc and you may select the one you want to see by mouse click.

6. Since all VCD / SVCD have navigator functions, you can use navigating cursor of the Sub-Panel to brows the contents.
7. If the disc support, click on Next Chapter [image] or Previous Chapter [image] will skip to the next or previous chapter.


Playing Other Media Files

1. Click on the Select a Source [image] in the user defined window and select a file for open. Click play to start play a file in the play list.

2. Use the Chapter [image] function on the Sub-Panel to select the file to be played.


Special Features
Besides the DVD player’s standard functions you wish, BlazeDVD also provides added functions that can enhance DVD’s effect.

Bookmark

1. You may create bookmarks to tag your favorite scenes in the movies. Press the Round Bookmark [image] Button on the left corner of the control panel to capture your favorite bookmarks.

Select Save to create bookmark. The name of bookmark is named on the current time.

This step will create a new menu item in the pop-up menu of bookmark. Click on the new bookmark will return to the tagged position of the movie.

2. You can create multiple bookmarks in a movie.

3. If you want to clear the bookmarks you have saved, just click on the Delete menu from the pop-up menu.

4. If you have set bookmark for a movie, BlazeDVD will save it in the bookmark folder and keep an independent bookmark file for each movie.

5. BlazeDVD will automatically record the DVD position of the last playing.

Capture

1. BlazeDVD enables you to capture still image during movie playing. Press [Ctrl]+<P>key or click Capture [image] anytime to capture moving or still image in BMP format

2. The bitmap image captured will be stored in the Capture subdirectory under the BlazeDVD directory. It is saved in sequence number by default, but may also be saved with user defined file name.

3. Image capture mode can also be set in the Video Setup under Configuration Options [image] . For detail please refer to the user defined functions for Video Setup.

Repeat

You can repeat watching a chapter or a title by selecting the Repeat option from right-clicking menu or select the Repeat [image] button on the control panel.

appearance

1.BlazeDVD may support many user interfaces.

2. If you want to change user interface, click on the right button of the mouse at the current video windows, select the new Appearance from the Skin interface of the Option [image] setup.

3. We also provide many other skins for your choice. You may download new BlazeDVD skins from our website.

BlazeDVD Audio options

BlazeDVD offers many audio output modes for your choice. You may select the right audio output mode according to your computer configurations. Choices for output mode include:

If you want to change audio output, please select Audio options under the Options [image] menu.


Configuration

BlazeDVD is a configurable DVD player. You can personalize BlazeDVD by changing its look and feel.

Right click on the video window for the menu to select the 'Options...' selection or click the 'Options...' button on the control panel to show the configuration dialog box.

The options are arranged into five property pages as following:

  • General
  • Video
  • Audio
  • Parental control
  • Appearance
  • Information


General Settings
  • DVD drive
    • Default drive
      If there are many drives in the computer, set the default CD/DVD Drive Option to assign a drive for playing. BlazeDVD will play DVD/VCD movies from this drive by default.
    • Properties
      Press this button you will see a dialog box, you can modify the properties of the default DVD/VCD drive.
      You can change the region code of your DVD drive here.

  • Auto play
    • Enable autoplay
      Check this option to enable the autoplay function of BlazeDVD. If BlazeDVD is running, a disc will be played automatically shortly after insert it into the default drive.
    • Enable autorun
      Check this option to enable the autorun function of BlazeDVD. If BlazeDVD is not running, it will be launched automatically shortly after you insert a DVD disc into your DVD drive.
      If both ‘Enable autoplay’ and ‘Enable autorun’ are checked, when you insert a DVD disc into the dvdrom, BlazeDVD will be run if it is not running, then play the disc automatically.

  • Auto resume play
    From this option, you can choose one of the following auto resume mode when you play a disc you have played before.
    • Not Setting
      It will start play from the beginning of the newly inserted disc.
    • User Choice
      It will prompt a dialogue box ask the user if it shall be play from beginning or play from the last memorized point.
    • Play From Beginning
      It will start play from the beginning of the newly inserted disc.
    • Play From Last Position
      It will start play from the ending point of the last play when a disc is re-inserted, it will start to play from the memorized point. If it is inserted the first time, it will start to play from beginning.

  • Default language
    Select default language type for audio, subtitle and menu. If the disc supports the selected language, it will be used as priority.
  • Default
    Restore all options above to their initial/default values.


Video Settings

Options - Video
  • Color Control
    You can adjust the brightness, contrast, hue and saturation of the playing video here, these functions are similar to those on your TV set.
    • Brightness
      Adjust the brightness of the playing video. Brightness is the luminance intensity (Black Level) of the video.
    • Contrast
      Adjust the contrast value of the playing video. Contrast is the relative difference between higher and lower intensity luminance.
    • Hue
      Adjust the contrast value of the playing video. Hue is phase relationship of the chroma components.
    • Saturation
      Adjust the contrast value of the playing video. Saturation is the color intensity of the images.
    • Default
      Reset the brightness, contrast, hue and saturation values of the video to their default values.

  • Video capture settings
    • Prompt for file name
      Ask the user to specify a destination file name each time you capture an image.
    • Save to folder
      Do not ask the user to specify destination file names when capturing images. BlazeDVD generate file names automatically and save them to the folder specified here. Please select a correct folder here to save your favorite pictures.
    • Review when capture
      If you check this option, the captured picture will be shown to you after capturing.

  • Video Mode
    For this option, recommend to select “Auto”
    • Auto
      According the movies source BlazeDVD will automatically select the deinterlace mode (Bob or Weave) to obtain better video quality.
    • Force Bob
      The movies is coded from interleaved signal (i.e. 30fps/NTSC or 25fps/PAL) is played under the mode.
    • Force Weave
      It is suited for the “movies content” coded from the original film (i.e. 24fps).

  • Others
    • Enable hardware accelerating.
      Set this function to enable, BlazeDVD can utilize the hardware accelerating to obtain better performance.
    • Enable OSD.
      Select hiding or display OSD. OSD is short for on screen display. Check this option to display prompt necessary message on the video window when you operate BlazeDVD.
    • Switch to full-screen mode when play.
      Set the function to enable, when you play movies, the window will automatically switch to full screen mode.
    • Default
      Reset all options above to their initial values.


Audio Settings
  • Audio output settings
    This option is used to configure the audio output mode for BlazeDVD. Please select the correct one from the following according to the actual configuration of your PC.
    • 1 speaker – MONO
      Mono channel output which combine multi channels into a single channel for output.
    • 2 speakers – STEREO
      Twin channels stereo which combine multi channels into twin channels output.
    • 4 speakers – L, R, LS, RS
      The 4 channels output option is suitable for computer with sound card supporting 4 channels output. They are left, right, left surround and right surround. If your computer system use 4 speakers, you may use this option. In this case, BlazeDVD will automatically assign 4 independent channels for these speakers and enable you to enjoy the true surround sound effect.
    • 5 speakers – L, C, R, LS, RS
      The 5channels output mode is suitable for computer with sound card supporting 5 channels output. They are left, center, right, left surround and right surround.
    • 6 speakers – 5.1 channels, L, C, R, LS, RS, LFE
      If your computer is provided with the sound cards which support 6-channel (left, center, right, left surround, right surround, and LEE ) output and six speakers, we advise using the function to obtain the surround sound experience. The mode is suited for the DVD discs that have multi-channel encoding function, such as Dolby Digital 5.1 and DTS 5.1.
    • 7 Speakers – 6.1 channels
      7 channels output mode (6.1 channel mode): If your computer is installed with sound card with 7 channels output and is using 7 speakers, it will automatically export produce a more true and super surround effect when playing DVD with 8 channels.
    • 8 Speakers – 7.1 channels
      8 Channel output mode (7.1 channels): If your computer uses 8 speakers, you can use this option. BlazeDVD will automatically assign 8 channels for those speakers which will produce the feel of being at the live show.
    • S/PDIF – to external audio decoder
      Stereo signals shall be output to the external receivers through S/PDIF compatible sound card. S/PDIF is an advanced digital interface technology developed by Sony and Philips that is different from the traditional analogue interface for signal transmission. If you want to enjoy the true 6 channels audio quality, you must have external Dolby Digital / DTS decoder and they must comply with the S/PDIF compatible sound card.

  • Default
    Reset the audio output option to its default value.


Parental Control
  • The parental control
    The parental control in BlazeDVD, similar to the ratings of movies may be used for specific users (normally parent) to restrict the contents to be played. After the parental control is set, the BlazeDVD will prompt for parental password during the playing of DVD if it detect the contents contains higher level restriction. Only after the correct password is keyed in, can the play resume.
    If you want to restrict the movies to be played, follow the following steps to set up the ratings. IF there is a password, key in the right password to enable all options for modification.

  • Disable, no limited
    In this level, the parental control are disabled and all DVD titles can be played no limited.

  • G, general
    General level

  • PG, parental guidance suggested
    Parental guidance suggested

  • PG-13,not recommended for those under 13
    Parental guidance suggested, not recommended for those under 13

  • R, restricted
    Restricted

  • NC_17,not appropriate for those under 17
    Not appropriate for those under 17

  • Set password
    Set new password to protect parental level


Appearance Settings

BlazeDVD supports many user-defined skins and you may choose the one you like. You may also visit our website for more skins.

If you want to change skin during playing, just follow the following operations to change to the one you like.

  1. Select and preview the skin you like in the drop-down list box.
  2. Confirm after selection Remarks: Click on Default button will be restore to the default skin.

Remarks: Click on Default button will be restore to the default skin.


Information

The information property page shows the current information of current system environment and current playing DVD disc. They are not changeable.

  • Audio Attributes
    Display the parameters about the current audio stream, such as format, sample rate etc.
  • Video Attributes
    Display the parameters about the current video stream, such as format, sample rate etc.
  • Subpicture Attributes
    Display the parameters about the current DVD menu/subtitle.
  • CPU Attributes
    Display the information about the CPU.
  • Misc. Attributes
    Display other information including BlazeDVD internal version, build time and the version number of directX.


Purchase & Register
  • Limitations before registration
    BlazeDVD is not a freeware, which means that you can use it freely for evaluate purpose, before registration you can only use it for 30 days. You can only play for TEN minutes each time startup.
    if you want to use BlazeDVD with no time restrictions, please register your copy. The registration fee is only $39.95.

  • Benefits of registration
    • You will use BlazeDVD without any time restrictions.
    • If we have updated our products, we'll inform you as soon as possible.
    • It's totally free for you to update to a higher version of the same major version.
    • Whenever you encounter technical problems, our will be available for help. Technical support is totally free.
    • More other valuable services ...

    How to purchase BlazeDVD?

    How to register BlazeDVD?


Purchase BlazeDVD
Order BlazeDVD Now! -- Immediate online delivery available
Product Name
Price (USD)
Product Delivery
 Purchase Method

BlazeDVD

$39.95
  • Email Serial Number
  • Extended Download Service

Pay by Check
( *A processing fee of $3.00 will be applied to your order. All checks must be drawn in U.S.: funds from a U.S. bank. Your order will be approved 8 business days after the day we receive your check, or 2 business days after we receive a money order or bank draft. Please make all checks payable to Digital River, Inc., and mail to 9625 W. 76th St., #150, Eden Prairie, MN 55344, Attn: Check Dept.")
Pay By Money Order
( * A processing fee of $3.00 will be applied to your order. All money orders must be drawn in U.S.: funds from a U.S. bank. Your order will be approved 2 business days after we receive a money order or bank draft. Please make all money order payable to Digital River, Inc., and mail to 9625 W. 76th St., #150, Eden Prairie, MN 55344, Attn: Check Dept.")
Wire Transfer (International or Domestic)
( * A processing fee of $3.00 will be applied to your order. All wire transfer must be drawn in U.S. funds from a U.S. bank. Your order will be approved 2 business days after the day we receive your wire transfer.)
  • What is delivered?
     You will be taken to a 3rd party company called Digital River which specialize in Internet commerce and will handle the secure transaction. Once your credit card is accepted, you will receive an email with your serial number! Its a pretty painless process. (Please allow up to 1 hour for email delivery)

    Note: During peak times, you may find the registration email may take up to half an hour. Also, there have been a few rare cases of unreachable emails due to mis-configured email clients and privacy control...

  • Lost registration code policy
    If you register and, for whatever reason, you do not receive an email with a serial number, please send an e-mail to support@blazevideo.com . Once we receive the request, we'll try to re-send your serial number as soon as possible!
  • Refund policy
    Refunds will be processed up to 7 days after the initial purchase. Refund requests should be sent to register@blazevideo.com. Please include an explanation for the refund.


How to register BlazeDVD?

You will get a serial number from us shortly after you ordered BlazeDVD.

Enter your registration information following these steps:

  • 1.Running BlazeDVD.
  • 2.Right-click on the video window to show the popup menu. Select the item "Purchase & Register" to show the register dialog box.
  • 3.Input the registration information exactly as what you've got.

    User Name : Enter your full name here.

    Serial Number : Enter the registration code here. Please copy and paste the serial number and DON'T type it manually because the serial number is a case-sentive text string and is difficult to distinguish.

  • 4.Press the "Register!" button.


Technology Supports

Before asking for our technology supports you should have browsed this online help carefully. We have collected a list of Frequently Asked Question here.

If your questions cannot be solved yet, please collect the following information and E-mail us. We will respond you as soon as possible:

  • Product Serial-Number
  • BlazeDVD’s version number
  • Windows Operating System’s version
  • Hardware configuration (sound card, VGA card, Image Capturing card) and their specifications
  • The warning message
  • The time and process descriptions about your troubles.

Email : support@blazevideo.com
Web site : http://www.blazevideo.com


FAQs
  1. What is the minimum requirement for BlazeDVD?
  2. What platform can BlazeDVD support?
  3. Can I use BlazeDVD in Windows XP?
  4. How to install BlazeDVD?
  5. Why can’t I install BlazeDVD in Windows 2000?
  6. BlazeDVD prompt me to upgrade DirectX to version 8.0 or newer versions. Do I need to upgrade DirectX?
  7. What kind of audio processing functions can BlazeDVD offers?
  8. What video playing functions can BlazeDVD provide?
  9. What types of multi-media formats does BlazeDVD support?
  10. Have BlazeDVD functions for change skins?
  11. Where can I get or buy a BlazeDVD?
  12. I have already bought the software and I don’t know how to register BlazeDVD.
  13. Why I fail to create Overlay images? How to solve the problem?
  14. How to play DVD?VCD?SVCD?MP3?
  15. What are the special features and functions of BlazeDVD?
  16. What kind of video play function can BlazeDVD provide?
  17. What kind of sound processing can BlazeDVD provide?
  18. Why there is no subtitles when I am playing BlazeDVD?
  19. Does Windows 2000 support S/PDIF?
  20. Why Can’t I use S/PDIF 5.1 channels output provided by BlazeDVD?
  21. Why there is region code protection?
  22. How many types of region code protection in DVD-ROM hardware itself?
  23. How many times is allowed for me to change the region code after setup the BlazeDVD for the first time?
  24. My computer has already MPEG1or MPEG2 hardware decoding and compression card. Can I still use BlazeDVD?
  25. Can all functions of BlazeDVD be used in VCD?
  26. Can I use frame capture function during playing VCD movie?
  27. I encounter a error "This DVD-Video content is protected by Macrovision. The system does not satisfy Macrovision requirement. Can't continue playing this disc", why ?

Q: What is the minimum requirement for BlazeDVD?
A: Before installing BlazeDVD, you should confirm your system comply with the following minimum requirement:
Windows 98, ME, 2000, XP or above;
CPU: Intel Pentium II 350MHz/Celeron 400MHz MMX or above;
Play hardware: DVD-ROM;
Sound card: PCI/ISA sound card (strongly recommend PCI);
RAM: 32MB;
VGA card: Support DirectDraw

Q:What platform can BlazeDVD support?
A: BlazeDVD is a simple to use DVD play software using pure software method. It supports all windows systems of Microsoft Windows.
· Windows 98/98 Second edition / Millennium
· Windows 2000 series
· Windows XP series
BlazeDVD will support Linux,Mac,Windows CE In the future. With powerful supporting functions, BlazeDVD enjoys popularity by more and more multi media users. What is more important, you don’t need to bother about any thing as the program automatically detect your operating system and carry out the necessary steps for installation for you.

Q: Can I use BlazeDVD in Windows XP?
A: BlazeDVD support Windows XP and can be run in Windows XP.

Q: How to install BlazeDVD?
A: It depends on the way you buy the software.
1. Register number by email
You can download and install most updated BlazeDVD trial version from our website and register with the registered number you obtain from us by email.
2. CD setup disc
Run setup program supplied with CD and follow the steps to carry out installation.
3. Online download
After you have completed an order, you will receive an order confirmation email which will provide you a designated website to download BlazeDVD setup files.

Q: Why can’t I install BlazeDVD in Windows 2000?
A: If your operating system is Windows 2000, when you install BlazeDVD, you should logon as Administrator in order to install the program.

Q: BlazeDVD prompt me to upgrade DirectX to version 8.0 or newer versions. Do I need to upgrade DirectX?
A: BlazeDVD need to have DirectX 8.0 or newer versions to run the program. You can download free latest version from Microsoft website. If you purchased BlazeDVD is in CD version, the disc should have contained DirectX setup disc. Find it and install it in your computer.

Q: What kind of audio processing functions can BlazeDVD offers?
A: 1.Dolby Digital 2/4/6- channels decoding and (floating point) Pro-Logic decoding functions?
2 . Support SPDIF to output Dolby Digital (AC-3) and Digital Theater System (DTS) for most real audio quality.
3 . Support MPEG-2 audio effect and LPCM decoding function.
4 . Support two channels DS3D, A3D and QXPander analogue surround sound effect.
5 . Support Windows 2000 multi-channels and SPDIF.
6 . Support DVD sound effect of Microsoft DirectSound standard interface.
7 . Support 2 channels output and mixer arithmetic.
8 . Support multi-channels output of the main stream sound cards
9. Support karaoke and MP3 functions.

Q: What video playing functions can BlazeDVD provide?
A: 1.Support NTSC (resolution at 720 x 480) and PAL (resolution at 720 x 576) system.
2.Support different display modes for different screen resolutions. For example, it supports display modes of 4:3 or 16:9 under the screen resolution of 4:3, or supports display modes of 16:9 under the screen resolution of 16:9.
3.Display correct aspect ratio of the movie.
4. support DVD (MPEG-2) and VCD (MPEG-1) specifications.
5.Strengthened smooth playing and eliminate picture twittering.

Q: What types of multi media formats does BlazeDVD support?
A: BlazeDVD support most of the multi media formats, including various audio and video specifications. It support all functions provided by Microsoft. Details of specifications are as follows:
1. Audio-Video Interleaved (AVI)
2. Motion Picture Experts Group (MPEG, MPG, M2V, DAT)
3. Windows Media? Video (WMV)
6. Digital Video (DV, DV1)
7. Video Object File (VOB)
8. MPEG 2 VIDEO (M2V)
9 . WAV (WAV)
10 . AIFF (AIF)
11 . AU (AU)
12 . SND (SND)
13 . MIDI (MID)
14 . Windows Media Audio* (WMA)
15 . MPEG Audio Layer-3 (MP3, MP2, MP1, MPA, M2P, M2A)

Q:Have BlazeDVD functions for change skins?
A: BlazeDVD v1.0 provides functions for changing skins that is suitable for you. You can also visit our website http://www.blazevideo.com to download the most new skins or design specific skins by yourselves!

Q:Where can I get or buy a BlazeDVD?
A: If you want an trial version, you can download it in the “free download area” of our website.

Q: I have already bought the software and I don’t know how to register BlazeDVD.
A: 1. You must first install BlazeDVD evaluations copy. If you don’t have it, please download it from our website.
2. Find a serial number contained in the order confirmation email. It is suggested to print out the email and keep it properly for future reference.
3. Run BlazeDVD, select purchase / register of the right click menu at video window.
4. Carefully input your name and serial number and then click on register.

Q: Why I fail to create Overlay surface on the video card? How to solve the problem?
A: Such alarm will be prompted by BlazeDVD if your VGA card cannot provide enough memory space or don’t have Overlay mode to display video images.
In this case, it is suggested to reduce the resolution, refreshing rate or color pallet to leave enough memory space for video images.
Another reason is due to drivers for the VGA card is quite old or don’t support Overlay mode which lead to failure of Overlay initiation. Please contact your VGA supplier for most updated drivers or do as we recommend above.

Q: How to play DVD,VCD,SVCD,MP3?
A: You only need to insert the a disc into DVD-ROM not matter it is DVD, VCD or SVCD, BlazeDVD will launch automatically and play the contents for you as long as your DVD-ROM support standard read and write formats. It is just insert and play. You don’t need to bother which type of format to choose for the disc to play.
If you find that the inserted disc cannot play correctly, it may be due to the non-standard format of the disc being playing. In this case, please try to use “file” mode to play, like MP3 or some multi media files made you yourselves.

Q: What are the special features and functions of BlazeDVD?
A: BlazeDVD ™ is a simple and easy to use multi media play program by pure software method. It is simple, reliable and suitable for users worldwide. BlazeDVD is the best choice for DVD playing! Dispense of the use of the expensive hardware MPEG-2 decompression card, it can play DVD with high graphic quality and let you enjoy the best music environment. It render your multi media computer to be home theater and audio and video center!
Features of the Products:
· Support DVD?VCD?SVCD?MP3 playback;
· Personalized user interface;
· Changing of control panel skin;
· Bookmark
· Hardware acceleration and motion compensation
· Pan&scan

Q: What kind of video play function can BlazeDVD provide?
A: 1. Support NTSC (resolution 720 x 480) and PAL (resolution 720 x 576) specifications.
2. Support different display modes under different aspect ratio and resolution. For example, it supports display modes of 4:3 or 16:9 under the screen resolution of 4:3, or supports display modes of 16:9 under the screen resolution of 16:9.
3. Display correct aspect ratio of the movie.
4. Support hardware motion compensation function.
5. Support different DVD (MPEG-2) and VCD (MPEG-1) specifications.
6. Strengthened smooth playing and eliminate picture twittering.

Q: What kind of sound processing can BlazeDVD provide?
A: 1. By means of MMX Dolby Digital 2/4/6- channels and Pro-Logic
2. Support SPDIF to output Dolby Digital (AC-3) and obtain most real audio quality
3. Support MPEG-2 sound effect and LPCM software decoding function
4. Support 2 channels analogue surround audio effect
5. Support Windows 2000 multi channels (Creative!) and SPDIF (Crystal 654630/4624)
6. Support DVD sound effect of Microsoft DirectSound standard interface
7. Support 2 channels output and mixer arithmetic
8. Support multi-channels output of main stream sound cards
9. Support Karaoke and MP3 play functions.

Q: Why there is no subtitles when I am playing BlazeDVD?
A: This is because that the Overlay driver of your VGA card has not been started normally and you cannot see subtitles. You can try the following method to correct the problem:
A. Install DirectX 8 or higher version;
B. Update your VGA card driver;
C. Reduce the resolution, color pallet and adjusting refreshing rate.

Q: Does Windows 2000 support S/PDIF?
A: BlazeDVD can use S/PDIF. But it depends on whether your sound card supports S/PDIF. It only works after Windows 2000 have installed Microsoft Service Pack 2 or later versions.

Q: Why Can’t I use S/PDIF 5.1 channels output provided by BlazeDVD?
A: First confirm if your sound card support S/PDIF. IF your sound card could not support, you cannot play using S/PDIF.IF you want to set this option, press audio setting button on the BlazeDVD setting attribute and select DVD play setting option.

Q: Why there is region code protection?
A: The major movie producers in the world have set the standard to divide the world into 6 regions and require the DVD released within in these 6 regions to be set with region code to protect their interest. Hence, theaters and families in each region will not be able to obtain cheaper discs from those cheaper regions and has to purchase from the normal channels so as to safeguard their interest. BlazeDVD allows for the user to set a different region code for 5 times. After setting of 5 times, the player will only watch the DVD set for the region or discs locked for all regions.

Q: How many types of region code protection in DVD-ROM hardware itself?
A: The region code protection in DVD-ROM hardware may be classed into 2 types: A. Phase I (with no region code protection): The hardware itself will not protect the region and the region code is protected by the software. In the case of BlazeDVD, you may confirm if you have change the region code for 5 times. If yes, BlazeDVD will use the last set region code as the final setting and lock the region code.B. Phase II (with region code protection): Use the set region code protect on the hardware as the one for watching movies. As this is the protection by the hardware itself, you should consult DVD-RMO manufacturer for detail information. BlazeDVD will base on the region code set in the DVD-ROM.

Q: How many times is allowed for me to change the region code after setup the BlazeDVD for the first time?
A: The region code protection is to comply with the major 8 movie producers in the world. You will have 5 opportunities to change the region code (depend on the DVD ROM) and the region code will be locked after the 5th setting. From then on, you could only play DVD movies set for the region or locked for all regions.

Q: My computer has already MPEG1or MPEG2 hardware decoding and compression card. Can I still use BlazeDVD?
A: BlazeDVD is a play program for decoding MPEG1 and MPEG2 using pure software method. BlazeDVD may be compatible with hardware compression card, but cannot be run simultaneously with the hardware compression card.This means that when you are using BlazeDVD, remember don’t to use hardware compression card at the same time. Because if hardware compression card and BlazeDVD are used simultaneously, it may cause the playback to stop or even the system will be suspended. If such thing happen, it is suggested to remove the hardware compression card or close it.

Q: Can all functions of BlazeDVD be used in VCD?
A: There are many types and sizes of VCD. For some disc types like music CD, they have musics / chapters and can be skipped forward and backward. For other VCD, they don’t allow for such actions. However, you can fully utilize searching slider to search for the sections you want to play.Some of the allowable functions that may be used on some VCD depend on the individual case are listed below:
Skip to next chapter or last chapter, those listed below are for VCD.
Normal setup
OSD setup
Begin to use
Audio setup
Panel setup

Q: Can I use frame capture function during playing VCD movie?
A: BlazeDVD v1.0 provides frame capture function and you can use this function during DVD or VCD playing.

Q: I encounter a error "This DVD-Video content is protected by Macrovision. The system does not satisfy Macrovision requirement. Can't continue playing this disc", why ?
A: Macrovision errors usually indicate a failure to authenticate the Macrovision-protected video content on a DVD disc. Macrovision is the analog copy protection applied to most DVD's, in order to prevent them from being copied to video tape. Your system, particularly your video card and drivers, must be configured properly or Macrovision errors can result. There can be several possible causes of this problem:
Improperly Configured Video Drivers: Make sure you install video drivers according to the manufacturer specifications. Detailed instructions for properly installing or upgrading video drivers are usually included in a readme file that accompanies the driver files.
Incompatible Software or Drivers: Please make sure that your DVD decoder is fully compatible with your current system configuration. This includes video card, version of Windows, version of DirectX, etc. Be sure to visit the decoder's website for information about system requirements if you are not completely sure of compatibility. If your decoder is not fully compatible, then an upgrade for it may be available that will make it compatible.
TV Out Feature May Be Activated: On most notebook PC's, as well as some desktop computers, the display adapter has a TV Out feature. If you are viewing DVD video on a computer, you should make sure that only the display that is currently in use is active. For instance, if you have a laptop and you do not have an external monitor or TV connected to it, make absolutely sure that this feature is not currently activated. If it is, then the video hardware will be trying to send a signal to both places, and an error is likely to occur.
No Support For Macrovision In Video Drivers: This is becoming a rare issue, but it can still happen. Older video cards (mainly, models released before 1997) probably will not support Macrovision. In addition, some video card makers can sometimes release driver updates even for current models that are incorrectly configured for Macrovision support. In these cases, the solution would be to either replace the video card with a newer model, or install a set of drivers that include Macrovision support in them; depending on what the situation may be.
Insufficient Video Resources: Sometimes a lack of hardware resources can trigger a Macrovision error. You may want to change your display to 800x600 pixels and High Color (16-Bit), and see if this makes any difference. Also, if you have recently replaced your monitor or have your system connected to a different monitor than it usually uses, make sure that Windows is not still configured to use the previous monitor model. This too can trigger a Macrovision error.

Top of page